*! version 5.0
* 13 August 2018
* NIDS
* Master Income do file updated for Nids Wave 5

* THIS IS THE MASTER INCOME DO FILE: 1 OF 7
* THESE 7 DO FILES CREATE THE NIDS WAVE 5 INCOME VARIABLES FOR PUBLIC RELEASE THAT ARE
* TO BE FOUND IN THE INDIVIDUAL AND HOUSEHOLD DERIVED DATASETS. 

*=====================================================================================================================================
* GLOBALS FOR DATA FILES, DO FILES AND VERSION SUFFIXES

global DataIN "C:\Users\Admin\Desktop\Data" //File path to where data is located. Change this path according to where your data folder is located on your computer.
global DataOUT "C:\Users\Admin\Desktop\Data\Wave 5\Output"

global DoFilePath "C:\Users\Admin\Desktop\Data\dofiles\Wave 5 Income"  // file path to other income do files

global VersionIN "W5_Anon_V1.0.0"
global VersionOUT "Inc"

*=====================================================================================================================================
* SETTING UP STATA TO RUN DO FILES

clear
cap clear matrix
set more off 
set mem 400m

version 12.0

*-------------------------------------------------------------------------------------------------------------------------------------

*MERGING THE REQUIRED DATASETS: DO FILE 2 OF 7
do "$DoFilePath\Program 7.1 - Income - Merging datasets to create income variables (2 of 8).do"

*PREPARING OF AGRICULTURE VARIABLES
do "$DoFilePath\Program 7.2 - Income - Preparing Agriculture variables (3 of 8).do"

*PREPARING THE RELEVANT VARIABLES FOR IMPUTATION: DO FILE 3 OF 7
do "$DoFilePath\Program 7.3 - Income - Preparing variables for imputation (4 of 8).do"

*PERFORMING THE IMPUTATIONS: DO FILE 4 OF 7
do "$DoFilePath\Program 7.4 - Income - Performing Imputations for missing data on Income variables (5 of 8).do"

*AGGREGATING THE PRE-IMPUTED VALUES: DO FILE 5 OF 7
do "$DoFilePath\Program 7.5 - Income - Aggregation of pre-imputation variables (6 of 8).do"

*AGGREGATING THE POST-IMPUTED VALUES: DO FILE 6 OF 7
do "$DoFilePath\Program 7.6 - Income - Aggregation of post-imputation variables (7 of 8).do"

*PREPARING THE DATA FOR PUBLIC RELEASE: DO FILE 7 OF 7
do "$DoFilePath\Program 7.7 - Income - Variables for public release (8 of 8).do"

* end of master do file

*=======================================================================================================================================

